Name:           prelude-correlator
Version:        5.2.0
Release:        2%{?dist}
Summary:        Real time correlator of events received by Prelude Manager
License:        GPLv2+
URL:            https://www.prelude-siem.org/
Source0:        https://www.prelude-siem.org/pkg/src/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.service

BuildRequires:  systemd
BuildRequires:  python-setuptools
BuildRequires:  python-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel

%{?systemd_requires}
Requires:       python%{python3_pkgversion}-%{name} >= %{version}

%description
Prelude-Correlator allows conducting multi-stream correlations
thanks to a powerful programming language for writing correlation
rules. With any type of alert able to be correlated, event
analysis becomes simpler, quicker and more incisive. This
correlation alert then appears within the Prewikka interface
and indicates the potential target information via the set of
correlation rules.

%package -n python2-%{name}
Summary:        Real time correlator of events received by Prelude Manager
Requires:       %{name} = %{version}-%{release}
Requires:       python2-prelude >= 5.2.0
Requires:       python-setuptools
Requires:       python-six
Requires:       python-netaddr
%{?python_provide:%python_provide python2-%{name}}

%description -n python2-%{name}
Prelude-Correlator allows conducting multi-stream correlations
thanks to a powerful programming language for writing correlation
rules. With any type of alert able to be correlated, event
analysis becomes simpler, quicker and more incisive. This
correlation alert then appears within the Prewikka interface
and indicates the potential target information via the set of
correlation rules.


%package -n python%{python3_pkgversion}-%{name}
Summary:        Real time correlator of events received by Prelude Manager
Requires:       %{name} = %{version}-%{release}
Requires:       python%{python3_pkgversion}-prelude >= 5.2.0
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-six
%{?python_provide:%python_provide python%{python3_pkgversion}-prelude}

%description -n python%{python3_pkgversion}-%{name}
Prelude-Correlator allows conducting multi-stream correlations
thanks to a powerful programming language for writing correlation
rules. With any type of alert able to be correlated, event
analysis becomes simpler, quicker and more incisive. This
correlation alert then appears within the Prewikka interface
and indicates the potential target information via the set of
correlation rules.

%prep
%autosetup -p1

%build
%py2_build
%py3_build

%install
install -d -m 0755 %{buildroot}%{_sbindir}
# We have to use this because py2_install do other things and siteconfig.py
# will be not installed
%{__python2} setup.py install --root=%{buildroot}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{name}-%{python2_version}
%{__python3} setup.py install --root=%{buildroot}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{name}-%{python3_version}

ln -s ./%{name}-%{python2_version} %{buildroot}%{_sbindir}/%{name}-2
ln -s ./%{name}-%{python3_version} %{buildroot}%{_sbindir}/%{name}-3
ln -s ./%{name}-3 %{buildroot}%{_sbindir}/%{name}

# Systemd configuration file
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service 

%files
%license COPYING
%doc AUTHORS NEWS HACKING.README
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%dir %{_sysconfdir}/%{name}/rules
%dir %{_sysconfdir}/%{name}/rules/python
%config(noreplace) %{_sysconfdir}/%{name}/rules/python/*.py*
%dir %{_sysconfdir}/%{name}/conf.d
%config %{_sysconfdir}/%{name}/conf.d/README
%{_localstatedir}/lib/%{name}/
%{_unitdir}/%{name}.service

%files -n python2-%{name}
%{_sbindir}/%{name}-2
%{_sbindir}/%{name}-%{python2_version}
%{python2_sitelib}/preludecorrelator/
%{python2_sitelib}/prelude_correlator-%{version}-py%{python2_version}.egg-info

%files -n python%{python3_pkgversion}-%{name}
%{_sbindir}/%{name}
%{_sbindir}/%{name}-3
%{_sbindir}/%{name}-%{python3_version}
%{python3_sitelib}/preludecorrelator/
%{python3_sitelib}/prelude_correlator-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Oct 16 2020 Thomas Andrejak <thomas.andrejak@gmail.com> - 5.2.0-2
- Switch to python3 by default

* Thu Sep 17 2020 Thomas Andrejak <thomas.andrejak@gmail.com> - 5.2.0-1
- Bump version 5.2.0

* Mon Apr 06 2020 Thomas Andrejak <thomas.andrejak@gmail.com> - 5.1.0-1
- Bump version 5.1.0

* Wed Jul 24 2019 Thomas Andrejak <thomas.andrejak@gmail.com> - 5.0.1-1
- Bump version 5.0.1

* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 4.1.1-4
- Rebuilt to change main python from 3.4 to 3.6

* Sat May 19 2018 Thomas Andrejak <thomas.andrejak@gmail.com> - 4.1.1-3
- Fix dependencies

* Sun Apr 29 2018 Thomas Andrejak <thomas.andrejak@gmail.com> - 4.1.1-2
- Fix dependencies

* Wed Apr 25 2018 Thomas Andrejak <thomas.andrejak@gmail.com> - 4.1.1-1
- Bump version 4.1.1

* Tue Oct 24 2017 Thomas Andrejak <thomas.andrejak@gmail.com> - 4.0.0-2
- Remove netaddr dependency for Python 3

* Wed Oct 4 2017 Thomas Andrejak <thomas.andrejak@gmail.com> - 4.0.0-1
- Bump version 4.0.0

* Sat Feb 04 2017 Thomas Andrejak <thomas.andrejak@gmail.com> - 3.1.0-1
- Bump version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1:1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun May 02 2010 Steve Grubb <sgrubb@redhat.com> - 1.0.0-1
- New upstream release

* Tue Mar 09 2010 Steve Grubb <sgrubb@redhat.com> - 1.0.0rc4-1
- New upstream release

* Mon Feb 01 2010 Steve Grubb <sgrubb@redhat.com> - 1.0.0rc2-1
- New upstream release

* Tue Nov 03 2009 Steve Grubb <sgrubb@redhat.com> - 0.9.0-0.10.beta8
- New beta release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.9.beta6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Steve Grubb <sgrubb@redhat.com> 0.9.0-0.8.beta6
- New beta release

* Mon Mar 02 2009 Steve Grubb <sgrubb@redhat.com> 0.9.0-0.7.beta3
- Fix bz#484361 Error message regarding missing arguments lua ruleset

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.6.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 05 2008 Steve Grubb <sgrubb@redhat.com> 0.9.0-0.5.beta3
- Fix bz#469824 Correct brute force correlation rules
- Add signal header to prelude-correlator.c so it builds correctly bz 474698
- Include unowned /usr/include/prelude-correlator directory

*Fri Jul 11 2008 Steve Grubb <sgrubb@redhat.com> 0.9.0-0.3.beta3
- New beta release

*Thu Jul 03 2008 Steve Grubb <sgrubb@redhat.com> 0.9.0-0.1.beta2
- Initial packaging
